log4cplus::thread::Mutex Class Reference

`#include <syncprims.h>`

## Public Member Functions

| Mutex ()
| ~Mutex ()
| Mutex (Mutex const &)=delete
Mutex & | operator= (Mutex const &)=delete
void | lock () const
void | unlock () const

## Detailed Description

Definition at line 82 of file syncprims.h.

## Constructor & Destructor Documentation

## Mutex() [1/2]

log4cplus::thread::Mutex::Mutex | ( |  | ) |

Referenced by Mutex(), and operator=().

## ~Mutex()

log4cplus::thread::Mutex::~Mutex | ( |  | ) |

## Mutex() [2/2]

log4cplus::thread::Mutex::Mutex | ( | Mutex const & |  | ) |

delete

References Mutex().

## Member Function Documentation

## lock()

void log4cplus::thread::Mutex::lock | ( |  | ) | const

## operator=()

Mutex & log4cplus::thread::Mutex::operator= | ( | Mutex const & |  | ) |

delete

References Mutex().

## unlock()

void log4cplus::thread::Mutex::unlock | ( |  | ) | const

The documentation for this class was generated from the following file:

- syncprims.h